/**
  *  \file client/tiles/fleetoverview.h
  *  \brief WFleetOverviewTile tile
  *
  *  (c) 2001-2015 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_FLEETOVERVIEW_H
#define PCC_V2_CLIENT_TILES_FLEETOVERVIEW_H

#include "client/wtile.h"

/** Fleet Overview Tile. Displays information about a fleet leader.
    The underlying object type must produce ships. */
class WFleetOverviewTile : public WObjectSelectionObserverTile {
 public:
    WFleetOverviewTile(GObjectSelection& selection);
    ~WFleetOverviewTile();
    void drawData(GfxCanvas& can);
};

#endif
